Bug 133329 - [patch] Update to mail/libsrs_alt 1.0 fixes mail loss
Summary: [patch] Update to mail/libsrs_alt 1.0 fixes mail loss
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Wesley Shields
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-04-02 23:00 UTC by Daniel Roethlisberger
Modified: 2009-04-07 22:00 UTC (History)
1 user (show)

See Also:


Attachments
libsrs_alt-1.0.diff (943 bytes, patch)
2009-04-02 23:00 UTC, Daniel Roethlisberger
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Roethlisberger 2009-04-02 23:00:07 UTC
Update libsrs_alt to 1.0 which fixes a serious bug in the timestamp validation
(fixed in 1.0rc2).  This bug causes correct SRS return addresses to be invalid
on verification, leading to loss of DSN or worse, depending on the exact MTA
configuration.
Comment 1 Edwin Groothuis freebsd_committer 2009-04-02 23:00:18 UTC
Maintainer of mail/libsrs_alt,

Please note that PR ports/133329 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/133329

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2009-04-02 23:00:20 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 simond 2009-04-03 06:11:00 UTC
The patch looks fine to me, thanks!



On 2 Apr 2009, at 23:00, Edwin Groothuis <edwin@FreeBSD.org> wrote:

> Maintainer of mail/libsrs_alt,
>
> Please note that PR ports/133329 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/133329
>
> -- 
> Edwin Groothuis via the GNATS Auto Assign Tool
> edwin@FreeBSD.org
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2009-04-03 09:29:19 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 5 Wesley Shields freebsd_committer 2009-04-04 22:54:33 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wxs

I'll take it.
Comment 6 Wesley Shields freebsd_committer 2009-04-07 21:58:00 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 7 dfilter service freebsd_committer 2009-04-07 21:58:06 UTC
wxs         2009-04-07 20:57:48 UTC

  FreeBSD ports repository

  Modified files:
    mail/libsrs_alt      Makefile distinfo 
  Log:
  - Update to 1.0 (fixes possible mail loss problem).
  
  PR:             ports/133329
  Submitted by:   Daniel Roethlisberger <daniel@roe.ch>
  Reviewed by:    Simon Dick <simond@irrelevant.org> (maintainer)
  
  Revision  Changes    Path
  1.4       +1 -1      ports/mail/libsrs_alt/Makefile
  1.2       +3 -3      ports/mail/libsrs_alt/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"